#include "Engine.h"
#include "Game.h"

#include "Model.h"
#include "View.h"
#include "Controller.h"

namespace asteroids {

Model *GetModel () {
	return dynamic_cast<Model*> (Engine::EngineGetModel());
}

View *GetView () {
	return dynamic_cast<View*> (Engine::EngineGetView());
}

Controller *GetController () {
	return dynamic_cast<Controller*> (Engine::EngineGetController());
}

}
